import { IsString, IsNotEmpty, IsOptional, IsObject } from 'class-validator';

/**
 * DTO for creating a new user
 */
export class CreateUserDto {
  @IsString()
  @IsNotEmpty()
  name: string;

  @IsString()
  @IsOptional()
  avatar?: string;

  @IsString()
  @IsNotEmpty()
  githubId: string;

  @IsObject()
  @IsOptional()
  metadata?: Record<string, any>;
}