import { Module } from '@nestjs/common';
import { WebSocketsGateway } from './websockets.gateway';
import { WebSocketsService } from './websockets.service';

/**
 * WebSocketsModule
 * 
 * This module provides real-time communication capabilities using Socket.IO.
 * It exports the WebSocketsService which can be used by other modules to emit events.
 */
@Module({
  providers: [WebSocketsGateway, WebSocketsService],
  exports: [WebSocketsService],
})
export class WebSocketsModule {}